Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.associated.proc
Class SFTrilitere

    java.lang.Object
      org.kemet.impl.grammar.associated.proc.SFTrilitere

    public class SFTrilitere

extends java.lang.Object

Since:
  0.2
Author:
  fabricemaupin

  SFTrilitere : list of process to execute for TRILITERE feature.

Constructor Summary
`SFTrilitere()`

Method Summary
`static java.util.ArrayList` | `convertSignToTransliteredValue(java.lang.Object[] param, SequenceFormatManager sfm, java.util.HashMap args)` convert list of signes to translitered values.
`static java.util.ArrayList` | `epuratePhoneticComplementFromSequence(java.lang.Object[] param, SequenceFormatManager sfm, java.util.HashMap args)` epuration phonetic complement from sequence.
`static java.util.ArrayList` | `getSignsWithPartOfSequence(java.lang.Object[] param, SequenceFormatManager sfm, java.util.HashMap args)` get list of signes from sequence.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SFTrilitere

    public SFTrilitere()

Method Detail

### getSignsWithPartOfSequence

    public static java.util.ArrayList getSignsWithPartOfSequence(java.lang.Object[] param,
                                                                 SequenceFormatManager sfm,
                                                                 java.util.HashMap args)

  get list of signes from sequence.

  Parameters:
    `param` - list of string composed of signs
    `sfm` - instance SequenceFormatManager
    `args` - parameters initialized for the grammar manager see DeveloperGuide : "first step : how to configure the KEMET Library ?"
  Returns:
    list of of signs
  Since:
    0.2

### convertSignToTransliteredValue

    public static java.util.ArrayList convertSignToTransliteredValue(java.lang.Object[] param,
                                                                     SequenceFormatManager sfm,
                                                                     java.util.HashMap args)
                                                              throws KemetAPIException

  convert list of signes to translitered values.

  Parameters:
    `param` - list of signs
    `sfm` - instance SequenceFormatManager
    `args` - parameters initialized for the grammar manager see DeveloperGuide : "first step : how to configure the KEMET Library ?"
  Returns:
    translitered values
  Throws:
    `KemetAPIException`
  Since:
    0.2

### epuratePhoneticComplementFromSequence

    public static java.util.ArrayList epuratePhoneticComplementFromSequence(java.lang.Object[] param,
                                                                            SequenceFormatManager sfm,
                                                                            java.util.HashMap args)
                                                                     throws KemetAPIException

  epuration phonetic complement from sequence.

  Parameters:
    `param` - list of params
    `sfm` - instance SequenceFormatManager
    `args` - parameters initialized for the grammar manager see DeveloperGuide : "first step : how to configure the KEMET Library ?"
  Returns:
    list of epurated sequences
  Throws:
    `KemetAPIException`
  Since:
    0.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.